Macaulay2 » Documentation
Packages » Chordal :: dim(ChordalNet)
next | previous | forward | backward | up | index | toc

# dim(ChordalNet) -- dimension of a chordal network

- Function: dim
- Usage:
    `dim N`
    `codim N`
- Inputs:
  - N, an instance of the type ChordalNet,
- Outputs:
  - an integer, dimension of the associated variety

## Description

This method computes the dimension of the variety associated to a chordal network.

    i1 : I = adjacentMinorsIdeal(QQ,2,10);

    o1 : Ideal of QQ[a..t]

    i2 : N = chordalNet I;

    i3 : chordalTria N;

    i4 : dim N

    o4 = 11

## See also

- codimCount -- codimension counts of the chains of a chordal network

## Ways to use this method:

- dim(ChordalNet) -- dimension of a chordal network

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Chordal/ChordalDoc.m2:1117:0.